[TOC]

比较好的教程：https://doc.gsw945.com/docs/mindoc-docs/markdown-insert-html.md

MinDoc 的前身是 SmartWiki 文档系统。SmartWiki 是基于 PHP 框架 laravel 开发的一款文档管理系统。因 PHP 的部署对普通用户来说太复杂，所以改用 Golang 开发。可以方便用户部署和实用。

开发缘起是公司IT部门需要一款简单实用的项目接口文档管理和分享的系统。其功能和界面源于 kancloud 。

可以用来储存日常接口文档，数据库字典，手册说明等文档。内置项目管理，用户管理，权限管理等功能，能够满足大部分中小团队的文档管理需求。

# 我常用的语法
## 1 字体 颜色 背景色
Size：规定文本的尺寸大小。可能的值：从 1 到 7 的数字。浏览器默认值是 3。
```html
<font face="STCAIYUN">我是华文彩云</font>
<font color=gray size=5>color=gray</font>
<font color=#0099ff size=5 face="黑体">color=#0099ff size=5 face="黑体"</font>
```
效果：
<font face="STCAIYUN">我是华文彩云</font>
<font color=gray size=5>color=gray</font>
<font color=#0099ff size=5 face="黑体">color=#0099ff size=5 face="黑体"</font>

背景色
```html
<table><tr><td bgcolor=#FF4500>这里的背景色是：OrangeRed， 十六进制颜色值：#FF4500， rgb(255, 69, 0)</td></tr></table>
```
效果：
<table><tr><td bgcolor=#FF4500>这里的背景色是：OrangeRed， 十六进制颜色值：#FF4500， rgb(255, 69, 0)</td></tr></table>

呈现效果如下
这里的背景色是：OrangeRed， 十六进制颜色值：#FF4500， rgb(255, 69, 0)

## 2 列表
无序列表
语法：
无序列表用 - + * 任何一种都可以

- 列表内容
+ 列表内容
* 列表内容

注意：- + * 跟内容之间都要有一个空格

效果如下：

有序列表
语法：
数字加点

1. 列表内容
2. 列表内容
3. 列表内容

注意：序号跟内容之间要有空格

用`- [ ] `来做未完成的计划列表，用`- [x] `作为完成的；下级在前面加`Tab键`即可。
- [ ] 历史记录再计算
- [x] 小程序
	- [x] 历史查询
	- [ ] 充值

## 3 表格
语法：
```html
表头|表头|表头
--|:--:|---:
内容|内容|内容
内容|内容|内容
```

第二行分割表头和内容。
- 有一个就行，为了对齐，多加了几个
文字默认居左
-两边加：表示文字居中
-右边加：表示文字居右
注：原生的语法两边都要用 | 包起来。此处省略

示例：

```
这里要空一行
姓名|技能|排行
--:|:--:|--:
刘备|哭|大哥
关羽|打|二哥
张飞|骂|三弟
```
效果：注意前后要空行才行

姓名|技能|排行
--|:--:|--
刘备|哭|大哥
关羽|打|二哥
张飞|骂|三弟

## 4 流程图
```
` ` `flow
st=>start: Start
op=>operation: Your Operation
sub=>subroutine: My Subroutine
cond=>condition: Yes or No?
io=>inputoutput: catch something...|current
e=>end: End

st->op->cond
cond(yes)->io->e
cond(no)->sub(right)->op
` ` `
```

效果：
注意，要在上文的`flow`前加3个```符号；

在最后面也加3个```符号

```flow
st=>start: Start
op=>operation: Your Operation
sub=>subroutine: My Subroutine
cond=>condition: Yes or No?
io=>inputoutput: catch something...|current
e=>end: End

st->op->cond
cond(yes)->io->e
cond(no)->sub(right)->op
```
st=>start: index
op=>operation: 申请
op2=>operation: 结果页
op3=>operation: 查询本地
i1=>inputoutput: bid入库
i2=>inputoutput: 填写个人信息
c1=>condition: 检查登录
c2=>condition: 登录
c3=>condition: 查询本地记录
c4=>condition: 检测状态
c5=>operation: 风控审核
e=>end

st->op->c1()
c1(no)->c2(yes)->op()
c1(yes)->c3(no)->i1(right)->i2(right)->c5()->op2->e
c1(yes)->c3(yes)->c4(no)->i2
c1(yes)->c3(yes)->c4(yes)->op3->op2
c3()->e


## 5 顶部加上导航目录
语法

```html
[TOC]
//这里要空一行
```

效果：

[TOC]


## 6 插入图片大小和位置
![markdown默认插入图片](/uploads/md-001/images/m_53becc6e57206cc754de10e55294400d_r.png "markdown图片说明，鼠标提示")

```html
<img src="/uploads/md-001/images/m_53becc6e57206cc754de10e55294400d_r.png" width="100" align=right title="猫咪的图片-鼠标提示">
```

<img src="/uploads/md-001/images/m_53becc6e57206cc754de10e55294400d_r.png" width="100" align=right title="猫咪的图片" box-shadow="10px,10px,10px,rgba(0,0,0,.5)">

<img src="/uploads/md-001/images/m_53becc6e57206cc754de10e55294400d_r.png" width="20%">

![驱蚊器二无](/uploads/md-001/images/m_e9b42fd7d730e41e25e63b92071e7699_r.png "驱蚊器二无")

## 7 多级导航目录
理论上 MinDoc支持无限级的文档创建。
在 MinDoc 中没有目录概念，所有文档既是目录也是文档。默认情况下，点击左上角加号即可创建顶级文档：
如果想创建一个文档的下一级项目，可直接在项目上右键，即可弹出创建菜单：
同样，还可以通过右键菜单修改以及删除文档。

## 8 修改默认的封面
MinDoc 在创建项目时会通过浏览器的H5绘图接口生成一个默认的封面。
用户还可以在项目设置中修改项目封面：
### 第一步 打开我的项目 ##
### 第二步 点击设置按钮 ##
### 第三步 切换到项目设置 ##
点击右侧项目图片，即可上传自定义封面。

其他见网络搜索结果
https://blog.csdn.net/qq_35164554/article/details/120013432
https://markdown.com.cn/basic-syntax/
## 9 下划线
```
<u>Honor </u>
```
<u>Honor </u>

## 实现下标与上标的三种方法：

方法1（符号）：
下标 ：θ~1~
上标 ：θ^2^

结果如下：
下标 ：θ1
上标 ：θ2

方法2（HTML标签）：

下标 ：θ<sub>1</sub>
上标 ：θ<sup>2</sup>

结果如下：
下标 ：θ1
上标 ：θ2

方法3（公式块）：

$$
下标 ：θ_1 ，上标 ：θ^2
$$

结果如下：
下 标 ： θ 1 ， 上 标 ： θ 2 下标 ：θ_1 ，上标 ：θ^2
下标：θ 
 ，上标：θ 

2.揭秘例子中的表达式写法：

θ~1~x~1~+θ~2~x~2~^2^+θ~3~x~3~^3^

结果：θ1x1+θ2x22+θ3x33